summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/sarge/Manifest1
-rw-r--r--dev-python/sarge/metadata.xml1
-rw-r--r--dev-python/sarge/sarge-0.1.7.ebuild27
3 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/sarge/Manifest b/dev-python/sarge/Manifest
index 16269acd787..c6e4124e66c 100644
--- a/dev-python/sarge/Manifest
+++ b/dev-python/sarge/Manifest
@@ -1 +1,2 @@
DIST sarge-0.1.6.bb.tar.gz 55320 BLAKE2B 2a641f43ea57ee3b22668dedcfa15fa5e07e8b8d8630e3764739254fb109d61eaedfe8e6e059c43bd22760d822a8cf251616108a6662e9daa2e79a0e35443cb4 SHA512 8cf77141f516297cfc029b6255618f497ab94453214e61ef280dd571019a40f461d81ab9bb793b08de2dae89832e50aaf687205814b22c305e03883b9dc3bfea
+DIST sarge-0.1.7.gh.tar.gz 57029 BLAKE2B 4cba823073b6699d9a3152b55de63b8ea9ba7cafa0f50556d6c2115a863fd3cae44a9d8fc9e6bf14727aa312c90f69dd03ebcb73508c5a2cdb0d1f6ff190435f SHA512 f2017fdab137e1aebfcd60a125ea7ff057158c6bf6a277d3084db73ed62a07cfd3464deba883284980c9f6ea3f56810effb551e8e8523ab750a086895ad0297a
diff --git a/dev-python/sarge/metadata.xml b/dev-python/sarge/metadata.xml
index 0ba198a57f8..58dd46311db 100644
--- a/dev-python/sarge/metadata.xml
+++ b/dev-python/sarge/metadata.xml
@@ -6,6 +6,7 @@
<name>Alexey Shvetsov</name>
</maintainer>
<upstream>
+ <remote-id type="github">vsajip/sarge</remote-id>
<remote-id type="pypi">sarge</remote-id>
</upstream>
</pkgmetadata>
diff --git a/dev-python/sarge/sarge-0.1.7.ebuild b/dev-python/sarge/sarge-0.1.7.ebuild
new file mode 100644
index 00000000000..2d02a3cd000
--- /dev/null
+++ b/dev-python/sarge/sarge-0.1.7.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_SETUPTOOLS=no
+inherit distutils-r1
+
+DESCRIPTION="wrapper for subprocess which provides command pipeline functionality"
+HOMEPAGE="
+ https://docs.red-dove.com/sarge/
+ https://pypi.org/project/sarge/
+ https://github.com/vsajip/sarge/
+"
+SRC_URI="
+ https://github.com/vsajip/sarge/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+python_test() {
+ "${EPYTHON}" test_sarge.py -v || die "Tests failed with ${EPYTHON}"
+}